PHPCounter index.php EpochPrefix Variable XSS

2005-07-13T06:31:23
ID OSVDB:17875
Type osvdb
Reporter priestmaster(priest@priestmaster.org)
Modified 2005-07-13T06:31:23

Description

Vulnerability Description

PHPCounter contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'EpochPrefix' variable upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 7.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

PHPCounter contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'EpochPrefix' variable upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Manual Testing Notes

http://[victim]/CounterDirectory/index.php?Plugin=All%20Hits&EpochPrefix="></a></div><script>a=/XSS/%0aalert(a.source)</script>

References:

Vendor URL: http://www.ekstreme.com/phplabs/phpcounter.php Security Tracker: 1014478 Secunia Advisory ID:15816 Related OSVDB ID: 17876 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2005-07/0218.html CVE-2005-2288